Package com.independentsoft.office.word.styles

# Class LatentStyleException

java.lang.Object
com.independentsoft.office.word.styles.LatentStyleException

public class LatentStyleException extends Object
The Class LatentStyleException.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatentStyleException()`
  Instantiates a new latent style exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LatentStyleException`
  `clone()`
  `ExtendedBoolean`
  `getLocked()`
  Gets the locked.
  `String`
  `getName()`
  Gets the name.
  `ExtendedBoolean`
  `getPrimary()`
  Gets the primary.
  `ExtendedBoolean`
  `getSemiHidden()`
  Gets the semi hidden.
  `ExtendedBoolean`
  `getUnhideWhenUsed()`
  Gets the unhide when used.
  `int`
  `getUserInterfacePriority()`
  Gets the user interface priority.
  `void`
  `setLocked​(ExtendedBoolean locked)`
  Sets the locked.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPrimary​(ExtendedBoolean primary)`
  Sets the primary.
  `void`
  `setSemiHidden​(ExtendedBoolean semiHidden)`
  Sets the semi hidden.
  `void`
  `setUnhideWhenUsed​(ExtendedBoolean unhideWhenUsed)`
  Sets the unhide when used.
  `void`
  `setUserInterfacePriority​(int uiPriority)`
  Sets the user interface priority.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LatentStyleException

    public LatentStyleException()
    Instantiates a new latent style exception.

- ## Method Details

  - ### clone

    public LatentStyleException clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getLocked

    public ExtendedBoolean getLocked()
    Gets the locked.
    Returns:
      the locked

  - ### setLocked

    public void setLocked​(ExtendedBoolean locked)
    Sets the locked.
    Parameters:
      `locked` - the new locked

  - ### getPrimary

    public ExtendedBoolean getPrimary()
    Gets the primary.
    Returns:
      the primary

  - ### setPrimary

    public void setPrimary​(ExtendedBoolean primary)
    Sets the primary.
    Parameters:
      `primary` - the new primary

  - ### getSemiHidden

    public ExtendedBoolean getSemiHidden()
    Gets the semi hidden.
    Returns:
      the semi hidden

  - ### setSemiHidden

    public void setSemiHidden​(ExtendedBoolean semiHidden)
    Sets the semi hidden.
    Parameters:
      `semiHidden` - the new semi hidden

  - ### getUserInterfacePriority

    public int getUserInterfacePriority()
    Gets the user interface priority.
    Returns:
      the user interface priority

  - ### setUserInterfacePriority

    public void setUserInterfacePriority​(int uiPriority)
    Sets the user interface priority.
    Parameters:
      `uiPriority` - the new user interface priority

  - ### getUnhideWhenUsed

    public ExtendedBoolean getUnhideWhenUsed()
    Gets the unhide when used.
    Returns:
      the unhide when used

  - ### setUnhideWhenUsed

    public void setUnhideWhenUsed​(ExtendedBoolean unhideWhenUsed)
    Sets the unhide when used.
    Parameters:
      `unhideWhenUsed` - the new unhide when used